Bug 2855 - RH6.0 installer free space bugs?
RH6.0 installer free space bugs?
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-05-16 18:14 EDT by weejock-rhbug
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-05-24 13:11:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description weejock-rhbug 1999-05-16 18:14:48 EDT
1) The installer told me that I didn't have enough space for
/usr and that I needed to free up ~38Mb.  I freed up about
50Mb, and after booting:

Filesystem   1k-blocks    Used Available Use% Mounted on
/dev/hda6    1018392    885428     80348  92% /usr

It seems that the installer isn't quite there on its free
space calculations.


2) After deselcting some packages, to free up space, I chose
OK, and the installer then tried to mount the target
filesystems again, with resulting errors.  It coped, though,
and installed fine, and overall the installer seems much
more robust than previous releases.


3) I don't know what it's when looking for "overlapping
files".  At a guess, it's seeing if there are files already
on the partitions which would get replaced.  If so, it could
save some time by remembering which filesystems were mkfs'ed
(or by searching the filesystem first and the rpm file list
second).


4) Feature request:
"expert" mode should permit manual tweaking of mse2fs
parameters.  Also, by default, I suggest bigger blocks for
larger filesystems (2k for >200Mb, 4k for >500Mb) and fewer
inodes.  (Actually, Ted T'so is threatening to change the
defaults on future versions, but it would be nice to be able
to do it manually.)

Also, hacking mke2fs to give a status indication on stderr,
rather like rpm's -h option would allow adding a progress
bar to the mkfs stage.
Comment 1 Jay Turner 1999-05-19 11:13:59 EDT
We are working to get the space estimations a little closer to "real
world" and things should be lots better in the next installer.  If the
user knows he/she has enough space, then he/she should choose to
continue with the installation and ignore the warning.
Comment 2 Matt Wilson 1999-05-24 13:11:59 EDT
Feature requests noted for later versions.

Note You need to log in before you can comment on or make changes to this bug.